///----------------------------------------------------------
/// Projekt: DrumPlayer, 2012
/// Popis: Multimedialni aplikace pro Kinect. Hrani na bici.
/// Autori: Vendula Poncova, xponco00@stud.fit.vutbr.cz
///         Marek Salat, xsalat00@stud.fit.vutbr.cz
///         Roman Luks, xluksr00@stud.fit.vutbr.cz
///         Pavel Kefurt, xkefur00@stud.fit.vutbr.cz
///
/// Soubor: Drum.cs
/// Popis: Trida reprezentuje buben bici soustavy.
///-----------------------------------------------------------------------------------------------

using System;
using System.Media;
using System.Windows.Controls;
using System.Windows.Media;
using System.Diagnostics;
using Microsoft.Kinect;
using System.Linq;
using System.Text;
using System.Windows.Documents;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;
using System.Windows;

namespace myDrum
{
    public partial class Drum
    {
        // pozice a rozmery bubnu
        public int x, y, width, heigth;
     
        // lze prehravat zvuk bubnu?
        public bool canDrum = true;
        
        // zvuk a obrazek bubnu
        protected string soundpath;
        protected SoundPlayer sp;
        public ImageSource imgsrc;

        // kontruktory:
        
        public Drum() { 
        }

        public Drum(int x, int y, int width, int heigth)
        {
            this.setSoundPath("../../Sounds/Kickz/Kick (3).wav");

            this.x = x;
            this.y = y;
            this.width  = width;
            this.heigth = heigth;
        }

        // nastaveni cesty k  obrazku
        public void setImageSource(ImageSource src){
            this.imgsrc = src;
        }

        // vykresleni bubnu
        public void drawDrum(DrawingContext dc){
            dc.DrawImage(imgsrc, new Rect(x, 480 - y, width, heigth));
        }

        // nastaveni cesty ke zvukove stope
        public void setSoundPath(String path){
            if (!path.Equals(this.soundpath) ){
                this.sp = new SoundPlayer(path);
                this.soundpath = path;
            }
        }

        // vrati true, pokud souradnice lezi v oblasti bubnu
        public bool collision(int x, int y){
        
            if ((x > this.x) && (x < (this.x + this.width)) &&
                (y < this.y) && (y > (this.y - this.heigth))
               )
            {
                //Debug.WriteLine("collision [" + x + ", " + y +
                //"] this [" + this.x + "," + this.y +
                //"] w " + this.width + " h " + this.heigth);

                return true;
            }
            else {
                return false;
            }
        }

        // prehraje zvuk bubnu
        public void play(){
                sp.Play();
        }

    }
}
