///----------------------------------------------------------
/// Projekt: DrumPlayer, 2012
/// Popis: Multimedialni aplikace pro Kinect. Hrani na bici.
/// Autori: Vendula Poncova, xponco00@stud.fit.vutbr.cz
///         Marek Salat, xsalat00@stud.fit.vutbr.cz
///         Roman Luks, xluksr00@stud.fit.vutbr.cz
///         Pavel Kefurt, xkefur00@stud.fit.vutbr.cz
///
/// Soubor: DrumSet.xaml.cs
/// Popis: Reprezentace bici soustavy. Trida pracuje s kolekci objektu typu Drum.
///-----------------------------------------------------------------------------------------------

using System;
using System.Diagnostics;
using Microsoft.Kinect;
using System.Media;
using System.Windows.Media;
using System.Collections.Generic;
using myDrum;

namespace myDrumSet
{
    public partial class DrumSet
    {
        // kolekce bubnu
        protected List<Drum> drums = new List<Drum>();

        // pridani bubnu
        public void addDrum(Drum d){
            if(!drums.Contains(d)){
                drums.Add(d);
            }
        }

        // odstraneni bubnu na dane pozici
        public void removeDrum(int i){
            drums.Remove(drums[i]);
        }

        // metoda vrati seznam bubnu
        public List<Drum> getDrums(){
            return this.drums;
        }
    }
}